tag-latest:
  stage: deploy
  image: "docker:stable-git"
  services:
    - docker:stable-dind
  variables:
    DOCKER_HOST: tcp://localhost:2375
  before_script:
    - source cicd/shared-scripts/script_permissions.sh
  script:
    - cicd/shared-scripts/registry_login.sh
    - cicd/deploy/retag_latest.sh
  only:
    refs:
      - production
      - preproduction
      - master
